global:
  scrape_interval: 15s
  evaluation_interval: 15s
  external_labels:
    cluster: 'hellotax-ai'
    environment: 'production'

rule_files:
  - '/etc/prometheus/rules/*.yml'

scrape_configs:
  - job_name: 'prometheus'
    static_configs:
      - targets: ['localhost:9090']

  - job_name: 'node-exporter'
    static_configs:
      - targets: ['node-exporter:9100']

  - job_name: 'base-platform'
    static_configs:
      - targets: ['host.docker.internal:8000']
    metrics_path: '/metrics'

  - job_name: 'training-center'
    static_configs:
      - targets: ['host.docker.internal:8001']
    metrics_path: '/metrics'

  - job_name: 'data-center'
    static_configs:
      - targets: ['host.docker.internal:8002']
    metrics_path: '/metrics'

  - job_name: 'tax-accelerator'
    static_configs:
      - targets: ['host.docker.internal:8003']
    metrics_path: '/metrics'

  - job_name: 'vllm-main'
    static_configs:
      - targets: ['host.docker.internal:8100']
    metrics_path: '/metrics'

  - job_name: 'embedding-server'
    static_configs:
      - targets: ['host.docker.internal:8200']
    metrics_path: '/metrics'

  - job_name: 'rerank-server'
    static_configs:
      - targets: ['host.docker.internal:8300']
    metrics_path: '/metrics'

  - job_name: 'ocr-vl-server'
    static_configs:
      - targets: ['host.docker.internal:8400']
    metrics_path: '/metrics'
